Follow

Intuit Quickbooks Online and Kaseya Service Billing

Intuit has announced that they are changing the API for their QuickBooks Online Edition.  To remain compatible with QuickBooks Online, Kaseya Service Billing module must be updated to work with the new QuickBooks Online REST API (v3).  

Warning: Quickbooks Online Edition will no longer accept the old protocol as of May 15, 2014. Integration using the new protocol requires a VSA patched to 6.5.0.12 or later, or a VSA upgraded to v7.0.

Here is a status update regarding the change:


Who

The change will affect any customer who needs to send information to/from QuickBooks Online Edition using the Service Billing Accounting Integration.  

Please note there is no change, and no action required, for QuickBooks Desktop edition customers.


When

Intuit has informed Kaseya that:

  1. The new REST API has been activated as of 15-Mar-2014, and

  2. The former API (originally used in Service Billing) will not be supported after 15-May-2014.


Status of the Service Billing Changes


Kaseya v7.0

Kaseya VSA/Service Billing v7.0 is compatible with the new Quickbook Online REST API (v3).  


Kaseya v6.5

Kaseya has released a patch to VSA / Service Billing v6.5 which will provide compatibility with the new Quickbook Online REST API (v3).  The patch version is v6.5.0.12.  See the v6.5.0.12 Release Notes for details, and a link to instructions for upgrading and re-connecting to QuickBooks Online Edition.

 

Kaseya v6.3 and prior versions

v6.3 and prior versions are incompatible with the new Quickbook Online REST API (v3).  On-Premise customers who need support for the new API are encouraged to upgrade their KServer to v6.5 or v7.0 as it becomes available.



Actions that Customers Need to Take



1) On-Premise customers will need to install either the v6.5.0.12 patch or v7.0 upgrade on their Kaseya Server. SaaS customers will get the update automatically.


2) Customers will then need to reconnect the Service Billing module to QuickBooks Online.  This is a simple procedure that is completely described in the online help here.

 

Warning: Quickbooks Online Edition will no longer accept the old protocol after May 15, 2014. Integration using the new protocol requires a VSA patched to 6.5.0.12 or later, or a VSA upgraded to v7.0.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

0 Comments

Article is closed for comments.